<?php echo $header; ?>
<?php
function clean_echo ($string)
{
	echo htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
}
?>

<div id="content">
	<div class="breadcrumb">
		<?php foreach ($breadcrumbs as $breadcrumb): ?>
			<?php clean_echo($breadcrumb['separator']); ?><a href="<?php clean_echo($breadcrumb['href']); ?>"><?php clean_echo($breadcrumb['text']); ?></a>
		<?php endforeach; ?>
	</div>

	<?php if ($error_warning): ?>
		<div class="warning"><?php clean_echo($error_warning); ?></div>
	<?php endif; ?>

	<div class="box">
		<div class="left"></div>
		<div class="right"></div>

		<div class="heading">
			<h1><img src="view/image/payment.png" alt="" /> <?php clean_echo($heading_title); ?></h1>
			<div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php clean_echo($button_save); ?></span></a><a href="<?php clean_echo($cancel); ?>" class="button"><span><?php clean_echo($button_cancel); ?></span></a></div>
		</div>

		<div class="content">
			<form action="<?php echo($action); ?>" method="post" enctype="multipart/form-data" id="form">
				<table class="form">
					<tr>
						<td><?php echo($entry_status); ?></td>
						<td>
							<select name="bitkassa_bitcoin_status">
								<option value="1" <?php if ($bitkassa_bitcoin_status == 1) { echo 'selected="selected"'; } ?>><?php clean_echo($text_enabled); ?></option>
								<option value="0" <?php if ($bitkassa_bitcoin_status == 0) { echo 'selected="selected"'; } ?>><?php clean_echo($text_disabled); ?></option>
							</select>
						</td>
					</tr>

					<tr>
						<td><span class="required">*</span> <?php echo($entry_merchantkey); ?><br /></td>
						<td><input style="width:250px;" type="text" name="bitkassa_bitcoin_merchantkey" value="<?php clean_echo($bitkassa_bitcoin_merchantkey); ?>" />
							<br />
							<?php if (!empty($error_merchantkey)): ?>
								<span class="error"><?php echo($error_merchantkey); ?></span>
							<?php endif; ?>
						</td>
					</tr>

					<tr>
						<td><span class="required">*</span> <?php echo($entry_description); ?></td>
						<td><input style="width:250px;" maxlength="50" type="text" name="bitkassa_bitcoin_description" value="<?php clean_echo($bitkassa_bitcoin_description); ?>" />
							<br/>
							<?php if (!empty($error_description)): ?>
								<span class="error"><?php clean_echo($error_description); ?></span>
							<?php endif; ?>
						</td>
					</tr>

					<tr>
						<td><?php echo $entry_failed_status; ?></td>
						<td>
							<select name="bitkassa_bitcoin_failed_status_id">
							<?php foreach ($order_statuses as $order_status): ?>
								<?php if ($order_status['order_status_id'] == $bitkassa_bitcoin_failed_status_id): ?>
									<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
								<?php else: ?>
									<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
								<?php endif ?>
							<?php endforeach ?>
							</select>
						</td>
					</tr>
					<tr>
						<td><?php echo $entry_cancelled_status; ?></td>
						<td>
							<select name="bitkassa_bitcoin_cancelled_status_id">
							<?php foreach ($order_statuses as $order_status): ?>
								<?php if ($order_status['order_status_id'] == $bitkassa_bitcoin_cancelled_status_id): ?>
									<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
								<?php else: ?>
									<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
								<?php endif ?>
							<?php endforeach ?>
							</select>
						</td>
					</tr>

					<tr>
						<td><?php echo $entry_expired_status; ?></td>
						<td>
							<select name="bitkassa_bitcoin_expired_status_id">
							<?php foreach ($order_statuses as $order_status): ?>
								<?php if ($order_status['order_status_id'] == $bitkassa_bitcoin_expired_status_id): ?>
									<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
								<?php else: ?>
									<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
								<?php endif ?>
							<?php endforeach ?>
							</select>
						</td>
					</tr>

					<tr>
						<td><?php echo $entry_pending_status; ?></td>
						<td>
							<select name="bitkassa_bitcoin_pending_status_id">
							<?php foreach ($order_statuses as $order_status): ?>
								<?php if ($order_status['order_status_id'] == $bitkassa_bitcoin_pending_status_id): ?>
									<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
								<?php else: ?>
									<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
								<?php endif ?>
							<?php endforeach ?>
							</select>
						</td>
					</tr>
					<tr>
						<td><?php echo $entry_paid_status; ?></td>
						<td>
							<select name="bitkassa_bitcoin_paid_status_id">
							<?php foreach ($order_statuses as $order_status): ?>
								<?php if ($order_status['order_status_id'] == $bitkassa_bitcoin_paid_status_id): ?>
									<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
								<?php else: ?>
									<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
								<?php endif ?>
							<?php endforeach ?>
							</select>
						</td>
					</tr>
					<tr>
						<td><?php echo $entry_confirmed_status; ?></td>
						<td>
							<select name="bitkassa_bitcoin_confirmed_status_id">
							<?php foreach ($order_statuses as $order_status): ?>
								<?php if ($order_status['order_status_id'] == $bitkassa_bitcoin_confirmed_status_id): ?>
									<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
								<?php else: ?>
									<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
								<?php endif ?>
							<?php endforeach ?>
							</select>
						</td>
					</tr>

					<tr>
						<td><?php clean_echo($entry_sort_order); ?></td>
						<td><input type="text" name="bitkassa_bitcoin_sort_order" value="<?php clean_echo($bitkassa_bitcoin_sort_order); ?>" size="1" /></td>
					</tr>

					<tr>
						<td height="24"></td>
						<td></td>
					</tr>
					<tr>
						<td style="vertical-align: middle;"><?php clean_echo($entry_module); ?></td>
						<td style="vertical-align: middle;"><?php echo($entry_version); ?></td>
					</tr>
					<tr>
						<td><?php clean_echo($entry_status); ?></td>
						<td>
							<?php
								if (is_array($entry_mstatus)) {
									foreach ($entry_mstatus as $file) {
										echo "Bestand bestaat niet: '$file'<br/>";
									}
								} else {
									echo $entry_mstatus;
								}
							?>
						</td>
					</tr>
					<tr>
						<td><?php echo($entry_support); ?></td>
						<td>www.bitkassa.nl<br />
							<a href="https://www.bitkassa.nl/#contact" target="new">https://www.bitkassa.nl/#contact</a><br />
						</td>
					</tr>
				</table>
			</form>
			<center>
				<a href="https://www.bitkassa.nl/" target="_blank"><img src="https://www.bitkassa.nl/img/BitKassa50.png" width="230" height="50" border="0" alt="BitKassa" style="margin-right:.5em" /></a><br/>
				Copyright 2016 &copy; BitKassa B.V.
			</center>
		</div>
		<script type="text/javascript">
		<!--
			$.tabs('.tabs a');
		//-->
		</script>
	</div>
</div>

<?php echo($footer); ?>
